
library(magrittr)
library(timeSeries)

# ===============================================================
#  DATA: stockPrices
# ===============================================================

read.csv('ENI.MI.csv',na.strings='null') %>%
  with(timeSeries(Adj.Close,as.Date(Date),'ENI')) ->stockPrices

read.csv('FCA.MI.csv',na.strings='null') %>%
  with(timeSeries(Adj.Close,as.Date(Date),'FCA')) %>%
  merge(stockPrices) ->stockPrices

read.csv('UCG.MI.csv',na.strings='null') %>%
  with(timeSeries(Adj.Close,as.Date(Date),'UCG')) %>%
  merge(stockPrices) ->stockPrices
  
stockPrices %<>% window('2016-01-01','2017-08-20')

save(stockPrices,file='stockPrices.RData')

# ===============================================================
