% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/myptf.R
\name{myptf}
\alias{myptf}
\title{Create an object of class "myptf"}
\usage{
myptf(ptfcode, ptfname = ptfcode, prices = NULL, quantities = NULL,
  currency = "EUR")
}
\arguments{
\item{ptfcode}{alpha-numeric identification string.}

\item{ptfname}{full name of the portfolio.}

\item{prices}{object of class \code{timeSeries} with assets prices.}

\item{quantities}{object of class \code{timeSeries} with assets quantities.}

\item{currency}{currency used.}
}
\value{
object of classs \code{myptf}, structured in a \code{list} with the
following components:
\describe{
  \item{\code{code}}{alpha-numeric identification string.}
  \item{\code{name}}{complete name of the portfolio.}
  \item{\code{prices}}{multivariate \code{timeSeries} of asset prices.}
  \item{\code{quantities}}{multivariate \code{timeSeries} of asset quantities.}
  \item{\code{currency}}{currency string code.}
}
}
\description{
Create a portfolio with information on quantities (composition) and
prices.
}
\examples{
# load dataset "stockPrices"
data(stockPrices)
# set portfolio composition
quant<- data.frame(Date=c('2016-03-01','2017-02-07'),
  ENI=c(100,120),FCA=c(200,250),UCG=c(230,160))
quant
# create portfolio
ptfA<- myptf('PTFA','Portfolio A',stockPrices,quant)
ptfA

}
\seealso{
\code{\link[timeSeries]{timeSeries}} function of
\code{\link[timeSeries]{timeSeries-package}}.
}
